Color (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart

## Class Color

- java.lang.Object
- - com.twosigma.beakerx.chart.Color

- All Implemented Interfaces:
    java.io.Serializable

      public class Color
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Color` | `black`
    `static Color` | `BLACK`
    `static Color` | `blue`
    `static Color` | `BLUE`
    `static Color` | `cyan`
    `static Color` | `CYAN`
    `static Color` | `DARK_GRAY`
    `static Color` | `DARK_GREEN`
    `static Color` | `darkGray`
    `static Color` | `darkGreen`
    `static Color` | `gray`
    `static Color` | `GRAY`
    `static Color` | `green`
    `static Color` | `GREEN`
    `static Color` | `indigo`
    `static Color` | `INDIGO`
    `static Color` | `LIGHT_BLUE`
    `static Color` | `LIGHT_GRAY`
    `static Color` | `LIGHT_GREEN`
    `static Color` | `lightBlue`
    `static Color` | `lightGray`
    `static Color` | `lightGreen`
    `static Color` | `magenta`
    `static Color` | `MAGENTA`
    `static Color` | `maroon`
    `static Color` | `MAROON`
    `static Color` | `olive`
    `static Color` | `OLIVE`
    `static Color` | `orange`
    `static Color` | `ORANGE`
    `static Color` | `ORANGE_RED`
    `static Color` | `orangeRed`
    `static Color` | `pink`
    `static Color` | `PINK`
    `static Color` | `purple`
    `static Color` | `PURPLE`
    `static Color` | `red`
    `static Color` | `RED`
    `static Color` | `white`
    `static Color` | `WHITE`
    `static Color` | `yellow`
    `static Color` | `YELLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Color(java.awt.Color awtColor)`
    `Color(float r, float g, float b)`
    `Color(float r, float g, float b, float a)`
    `Color(int rgb)`
    `Color(int rgba, boolean hasalpha)`
    `Color(int r, int g, int b)`
    `Color(int r, int g, int b, int a)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Color` | `decode(java.lang.String nm)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getBlue()`
    `int` | `getGreen()`
    `int` | `getRed()`
    `int` | `getRGB()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### white

          public static final Color white

    - #### WHITE

          public static final Color WHITE

    - #### lightGray

          public static final Color lightGray

    - #### LIGHT_GRAY

          public static final Color LIGHT_GRAY

    - #### gray

          public static final Color gray

    - #### GRAY

          public static final Color GRAY

    - #### darkGray

          public static final Color darkGray

    - #### DARK_GRAY

          public static final Color DARK_GRAY

    - #### black

          public static final Color black

    - #### BLACK

          public static final Color BLACK

    - #### red

          public static final Color red

    - #### RED

          public static final Color RED

    - #### pink

          public static final Color pink

    - #### PINK

          public static final Color PINK

    - #### orange

          public static final Color orange

    - #### ORANGE

          public static final Color ORANGE

    - #### yellow

          public static final Color yellow

    - #### YELLOW

          public static final Color YELLOW

    - #### green

          public static final Color green

    - #### GREEN

          public static final Color GREEN

    - #### lightGreen

          public static final Color lightGreen

    - #### LIGHT_GREEN

          public static final Color LIGHT_GREEN

    - #### darkGreen

          public static final Color darkGreen

    - #### DARK_GREEN

          public static final Color DARK_GREEN

    - #### olive

          public static final Color olive

    - #### OLIVE

          public static final Color OLIVE

    - #### magenta

          public static final Color magenta

    - #### MAGENTA

          public static final Color MAGENTA

    - #### orangeRed

          public static final Color orangeRed

    - #### ORANGE_RED

          public static final Color ORANGE_RED

    - #### maroon

          public static final Color maroon

    - #### MAROON

          public static final Color MAROON

    - #### cyan

          public static final Color cyan

    - #### CYAN

          public static final Color CYAN

    - #### blue

          public static final Color blue

    - #### BLUE

          public static final Color BLUE

    - #### lightBlue

          public static final Color lightBlue

    - #### LIGHT_BLUE

          public static final Color LIGHT_BLUE

    - #### purple

          public static final Color purple

    - #### PURPLE

          public static final Color PURPLE

    - #### indigo

          public static final Color indigo

    - #### INDIGO

          public static final Color INDIGO

  - ### Constructor Detail

    - #### Color

          public Color(int r,
                       int g,
                       int b,
                       int a)

    - #### Color

          public Color(int r,
                       int g,
                       int b)

    - #### Color

          public Color(int rgb)

    - #### Color

          public Color(int rgba,
                       boolean hasalpha)

    - #### Color

          public Color(float r,
                       float g,
                       float b)

    - #### Color

          public Color(float r,
                       float g,
                       float b,
                       float a)

    - #### Color

          public Color(java.awt.Color awtColor)

  - ### Method Detail

    - #### getRed

          public int getRed()

    - #### getGreen

          public int getGreen()

    - #### getBlue

          public int getBlue()

    - #### getRGB

          public int getRGB()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### decode

          public static Color decode(java.lang.String nm)
                              throws java.lang.NumberFormatException

      Throws:
        `java.lang.NumberFormatException`